Subject: Re: [PATCH 2/2] gitweb: Show trailing slash when listing tree entry in tree listing

From: Jakub Narebski <[email-masked]>
Date: Sat, 07 Oct 2006 21:06:25 +0200

Luben Tuikov wrote:

> --- Petr Baudis <[email-masked]> wrote:
>> +                          esc_html($t->{'name'} . '/'));
> 
> First, this is a Unixism, and would confuse other OS users.
But AFAIK _Git_ uses it, in output and in index.

> Second, "/" is after all _not part of the name_ of the tree/directory,
> but part of the filesystem's path separator, let's not export it
> to users of other OS's.
> Third, directories/trees are already clearly 
>   1) underlined, and
>   2) differently colored,
> which makes it overly obvious what it what.
> 
> In fact, my eyes only scan for the different color/underlined
> entries when I'm searching for a directory in tree view.  I don't even
> look at the left-most column.
> 
> NACK!

I'd rather like it.

More important though would be to add better support for symlinks,
perhaps in the UNIX form

        symlink -> _target_

Whete _text_ denotes link.

By the way, I miss somewhat the "redundant" tree/blob links in tree
view...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git